import request from '@/utils/request'

// 移交问题管理列表
export function getTransferProblemListApi(params) {
    return request({
        url: '/smartArchives/transferProblem/getTransferProblemList',
        method: 'GET',
        params: params,
    })
}

// 新增移交问题
export function addTransferProblemApi(data) {
    return request({
        url: '/smartArchives/transferProblem/addTransferProblem',
        method: 'POST',
        data,
    })
}

// 修改移交问题
export function editTransferProblemApi(data) {
    return request({
        url: '/smartArchives/transferProblem/editTransferProblem',
        method: 'POST',
        data,
    })
}

// 删除移交问题
export function delTransferProblemApi(data) {
    return request({
        url: '/smartArchives/transferProblem/delTransferProblem',
        method: 'POST',
        data,
    })
}

// 已移交确认工程下拉选
export async function getProSelectApi(data) {
    return await request({
        url: '/smartArchives/transferApply/getProSelect',
        method: 'GET',
        data
    })
}